# QGDictIterator Class Reference

An internal class for implementing QDictIterator and QIntDictIterator. More...

`#include <qgdict.h>`

Inherited by QDictIterator, QIntDictIterator and QPtrDictIterator.

List of all member functions.

## Public Members

- QGDictIterator ( const QGDict & )
- QGDictIterator ( const QGDictIterator & )
- QGDictIterator& operator= ( const QGDictIterator & )
- ~QGDictIterator ()
- GCI toFirst ()
- GCI get () const
- const char* getKey () const
- GCI operator ()()
- GCI operator++ ()
- GCI operator+= ( uint )

## Detailed Description

An internal class for implementing QDictIterator and QIntDictIterator.

QGDictIterator is a strictly internal class that does the heavy work for QDictIterator and QIntDictIterator.

## Member Function Documentation

### QGDictIterator::QGDictIterator ( const QGDict & d )

For internal use only.

### QGDictIterator::QGDictIterator ( const QGDictIterator & it )

For internal use only.

### QGDictIterator::~QGDictIterator ()

For internal use only.

### GCI QGDictIterator::get () const

For internal use only.

### const char * QGDictIterator::getKey () const

For internal use only.

### GCI QGDictIterator::operator() ()

For internal use only.

### GCI QGDictIterator::operator++ ()

For internal use only.

### GCI QGDictIterator::operator+= ( uint jumps )

For internal use only.

### QGDictIterator & QGDictIterator::operator= ( const QGDictIterator & it )

For internal use only.

### GCI QGDictIterator::toFirst ()

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qgdict.h: 1998/11/26
- qgdict.cpp: 1998/11/26